package com.oguerreiro.resilient.domain;

import java.util.Random;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;

public class VariableScopeTestSamples {

    private static final Random random = new Random();
    private static final AtomicLong longCount = new AtomicLong(random.nextInt() + (2 * Integer.MAX_VALUE));
    private static final AtomicInteger intCount = new AtomicInteger(random.nextInt() + (2 * Short.MAX_VALUE));

    public static VariableScope getVariableScopeSample1() {
        return new VariableScope().id(1L).code("code1").name("name1").description("description1").version(1);
    }

    public static VariableScope getVariableScopeSample2() {
        return new VariableScope().id(2L).code("code2").name("name2").description("description2").version(2);
    }

    public static VariableScope getVariableScopeRandomSampleGenerator() {
        return new VariableScope()
            .id(longCount.incrementAndGet())
            .code(UUID.randomUUID().toString())
            .name(UUID.randomUUID().toString())
            .description(UUID.randomUUID().toString())
            .version(intCount.incrementAndGet());
    }
}
